<?php


namespace Tool\Bean\Pdd\Ddk;



use Tool\Bean\BaseBeanV1;

class GoodsPromotionUrlGenerateParamBean extends BaseBeanV1
{
    /**
     * 多多礼金ID
     */
    private $cash_gift_id;

    /**
     * 自定义礼金标题，用于向用户展示渠道专属福利，不超过12个字
     */
    private $cash_gift_name;

    /**
     * 自定义参数json
     */
    private $custom_parameters;

    /**
     * 是否生成带授权的单品链接。如果未授权，则会走授权流程
     */
    private $generate_authority_url;

    /**
     * 是否生成店铺收藏券推广链接
     */
    private $generate_mall_collect_coupon;

    /**
     * 是否生成qq小程序
     */
    private $generate_qq_app;

    /**
     * 是否返回 schema URL
     */
    private $generate_schema_url;

    /**
     * 是否生成短链接，true-是，false-否
     */
    private $generate_short_url;

    /**
     * 是否生成拼多多福利券微信小程序推广信息
     */
    private $generate_we_app;

    /**
     * 商品goodsSign列表，例如：["c9r2omogKFFAc7WBwvbZU1ikIb16_J3CTa8HNN"]，
     */
    private $goods_sign_list;

    /**
     * true--生成多人团推广链接 false--生成单人团推广链接（默认false）1、单人团推广链接：用户访问单人团推广链接，可直接购买商品无需拼团。2、多人团推广链接：用户访问双人团推广链接开团，若用户分享给他人参团，则开团者和参团者的佣金均结算给推手
     */
    private $multi_group;

    /**
     * 推广位ID
     */
    private $p_id;

    /**
     * 搜索id，建议填写，提高收益。来自pdd.ddk.goods.recommend.get、pdd.ddk.goods.search、pdd.ddk.top.goods.list.query等接口
     */
    private $search_id;

    /**
     * 招商多多客ID
     */
    private $zs_duo_id;

    /**
     * @return mixed
     */
    public function getCashGiftId()
    {
        return $this->cash_gift_id;
    }

    /**
     * @param mixed $cash_gift_id
     */
    public function setCashGiftId($cash_gift_id)
    {
        $this->cash_gift_id = $cash_gift_id;
    }

    /**
     * @return mixed
     */
    public function getCashGiftName()
    {
        return $this->cash_gift_name;
    }

    /**
     * @param mixed $cash_gift_name
     */
    public function setCashGiftName($cash_gift_name)
    {
        $this->cash_gift_name = $cash_gift_name;
    }

    /**
     * @return mixed
     */
    public function getCustomParameters()
    {
        return $this->custom_parameters;
    }

    /**
     * @param mixed $custom_parameters
     */
    public function setCustomParameters($custom_parameters)
    {
        $this->custom_parameters = $custom_parameters;
    }

    /**
     * @return mixed
     */
    public function getGenerateAuthorityUrl()
    {
        return $this->generate_authority_url;
    }

    /**
     * @param mixed $generate_authority_url
     */
    public function setGenerateAuthorityUrl($generate_authority_url)
    {
        $this->generate_authority_url = $generate_authority_url;
    }

    /**
     * @return mixed
     */
    public function getGenerateMallCollectCoupon()
    {
        return $this->generate_mall_collect_coupon;
    }

    /**
     * @param mixed $generate_mall_collect_coupon
     */
    public function setGenerateMallCollectCoupon($generate_mall_collect_coupon)
    {
        $this->generate_mall_collect_coupon = $generate_mall_collect_coupon;
    }

    /**
     * @return mixed
     */
    public function getGenerateQqApp()
    {
        return $this->generate_qq_app;
    }

    /**
     * @param mixed $generate_qq_app
     */
    public function setGenerateQqApp($generate_qq_app)
    {
        $this->generate_qq_app = $generate_qq_app;
    }

    /**
     * @return mixed
     */
    public function getGenerateSchemaUrl()
    {
        return $this->generate_schema_url;
    }

    /**
     * @param mixed $generate_schema_url
     */
    public function setGenerateSchemaUrl($generate_schema_url)
    {
        $this->generate_schema_url = $generate_schema_url;
    }

    /**
     * @return mixed
     */
    public function getGenerateShortUrl()
    {
        return $this->generate_short_url;
    }

    /**
     * @param mixed $generate_short_url
     */
    public function setGenerateShortUrl($generate_short_url)
    {
        $this->generate_short_url = $generate_short_url;
    }

    /**
     * @return mixed
     */
    public function getGenerateWeApp()
    {
        return $this->generate_we_app;
    }

    /**
     * @param mixed $generate_we_app
     */
    public function setGenerateWeApp($generate_we_app)
    {
        $this->generate_we_app = $generate_we_app;
    }

    /**
     * @return mixed
     */
    public function getGoodsSignList()
    {
        return $this->goods_sign_list;
    }

    /**
     * @param mixed $goods_sign_list
     */
    public function setGoodsSignList($goods_sign_list)
    {
        $this->goods_sign_list = $goods_sign_list;
    }

    /**
     * @return mixed
     */
    public function getMultiGroup()
    {
        return $this->multi_group;
    }

    /**
     * @param mixed $multi_group
     */
    public function setMultiGroup($multi_group)
    {
        $this->multi_group = $multi_group;
    }

    /**
     * @return mixed
     */
    public function getPId()
    {
        return $this->p_id;
    }

    /**
     * @param mixed $p_id
     */
    public function setPId($p_id)
    {
        $this->p_id = $p_id;
    }

    /**
     * @return mixed
     */
    public function getSearchId()
    {
        return $this->search_id;
    }

    /**
     * @param mixed $search_id
     */
    public function setSearchId($search_id)
    {
        $this->search_id = $search_id;
    }

    /**
     * @return mixed
     */
    public function getZsDuoId()
    {
        return $this->zs_duo_id;
    }

    /**
     * @param mixed $zs_duo_id
     */
    public function setZsDuoId($zs_duo_id)
    {
        $this->zs_duo_id = $zs_duo_id;
    }
}