<?php


namespace Tool\Bean\Pdd\Ddk;


use Tool\Bean\BaseBeanV1;

class GoodsSearchParamBean extends BaseBeanV1
{
    /**
     * 活动商品标记数组，例：[4,7]，4-秒杀，7-百亿补贴，10851-千万补贴，31-品牌黑标，10564-精选爆品-官方直推爆款，10584-精选爆品-团长推荐，24-品牌高佣，其他的值请忽略
     */
    private $activity_tags;

    /**
     * 自定义屏蔽一级/二级/三级类目ID，自定义数量不超过20个;使用pdd.goods.cats.get接口获取cat_id
     */
    private $block_cats;

    /**
     * 屏蔽商品类目包：1-拼多多小程序屏蔽的类目&关键词;2-虚拟类目;3-医疗器械;4-处方药;5-非处方药
     */
    private $block_cat_packages;

    /**
     * 商品类目ID，使用pdd.goods.cats.get接口获取
     */
    private $cat_id;

    /**
     * 自定义参数json
     */
    private $custom_parameters;

    /**
     * 商品goodsSign列表，例如：["c9r2omogKFFAc7WBwvbZU1ikIb16_J3CTa8HNN"]
     */
    private $goods_sign_list;

    /**
     * 是否为品牌商品
     */
    private $is_brand_goods;

    /**
     * 商品关键词，与opt_id字段选填一个或全部填写。可支持goods_id、拼多多链接（即拼多多app商详的链接）、进宝长链/短链（即为pdd.ddk.goods.promotion.url.generate接口生成的长短链）
     */
    private $keyword;

    /**
     * 翻页时建议填写前页返回的list_id值
     */
    private $list_id;

    /**
     * 店铺类型，1-个人，2-企业，3-旗舰店，4-专卖店，5-专营店，6-普通店（未传为全部）
     */
    private $merchant_type;

    /**
     * 店铺类型数组，例如：[1,2]
     */
    private $merchant_type_list;

    /**
     * 商品标签类目ID，使用pdd.goods.opt.get获取
     */
    private $opt_id;

    /**
     * 第几页
     */
    private $page;

    /**
     * 每页数量
     */
    private $page_size;

    /**
     * 推广位ID
     */
    private $pid;

    /**
     * 筛选范围列表 样例：[{"range_id":0,"range_from":1,"range_to":1500},{"range_id":1,"range_from":1,"range_to":1500}]
     */
    private $range_list;

    /**
     * @return mixed
     */
    public function getActivityTags()
    {
        return $this->activity_tags;
    }

    /**
     * @param mixed $activity_tags
     */
    public function setActivityTags($activity_tags)
    {
        $this->activity_tags = $activity_tags;
    }

    /**
     * @return mixed
     */
    public function getBlockCats()
    {
        return $this->block_cats;
    }

    /**
     * @param mixed $block_cats
     */
    public function setBlockCats($block_cats)
    {
        $this->block_cats = $block_cats;
    }

    /**
     * @return mixed
     */
    public function getBlockCatPackages()
    {
        return $this->block_cat_packages;
    }

    /**
     * @param mixed $block_cat_packages
     */
    public function setBlockCatPackages($block_cat_packages)
    {
        $this->block_cat_packages = $block_cat_packages;
    }

    /**
     * @return mixed
     */
    public function getCatId()
    {
        return $this->cat_id;
    }

    /**
     * @param mixed $cat_id
     */
    public function setCatId($cat_id)
    {
        $this->cat_id = $cat_id;
    }

    /**
     * @return mixed
     */
    public function getCustomParameters()
    {
        return $this->custom_parameters;
    }

    /**
     * @param mixed $custom_parameters
     */
    public function setCustomParameters($custom_parameters)
    {
        $this->custom_parameters = $custom_parameters;
    }

    /**
     * @return mixed
     */
    public function getGoodsSignList()
    {
        return $this->goods_sign_list;
    }

    /**
     * @param mixed $goods_sign_list
     */
    public function setGoodsSignList($goods_sign_list)
    {
        $this->goods_sign_list = $goods_sign_list;
    }

    /**
     * @return mixed
     */
    public function getIsBrandGoods()
    {
        return $this->is_brand_goods;
    }

    /**
     * @param mixed $is_brand_goods
     */
    public function setIsBrandGoods($is_brand_goods)
    {
        $this->is_brand_goods = $is_brand_goods;
    }

    /**
     * @return mixed
     */
    public function getKeyword()
    {
        return $this->keyword;
    }

    /**
     * @param mixed $keyword
     */
    public function setKeyword($keyword)
    {
        $this->keyword = $keyword;
    }

    /**
     * @return mixed
     */
    public function getListId()
    {
        return $this->list_id;
    }

    /**
     * @param mixed $list_id
     */
    public function setListId($list_id)
    {
        $this->list_id = $list_id;
    }

    /**
     * @return mixed
     */
    public function getMerchantType()
    {
        return $this->merchant_type;
    }

    /**
     * @param mixed $merchant_type
     */
    public function setMerchantType($merchant_type)
    {
        $this->merchant_type = $merchant_type;
    }

    /**
     * @return mixed
     */
    public function getMerchantTypeList()
    {
        return $this->merchant_type_list;
    }

    /**
     * @param mixed $merchant_type_list
     */
    public function setMerchantTypeList($merchant_type_list)
    {
        $this->merchant_type_list = $merchant_type_list;
    }

    /**
     * @return mixed
     */
    public function getOptId()
    {
        return $this->opt_id;
    }

    /**
     * @param mixed $opt_id
     */
    public function setOptId($opt_id)
    {
        $this->opt_id = $opt_id;
    }

    /**
     * @return mixed
     */
    public function getPage()
    {
        return $this->page;
    }

    /**
     * @param mixed $page
     */
    public function setPage($page)
    {
        $this->page = $page;
    }

    /**
     * @return mixed
     */
    public function getPageSize()
    {
        return $this->page_size;
    }

    /**
     * @param mixed $page_size
     */
    public function setPageSize($page_size)
    {
        $this->page_size = $page_size;
    }

    /**
     * @return mixed
     */
    public function getPid()
    {
        return $this->pid;
    }

    /**
     * @param mixed $pid
     */
    public function setPid($pid)
    {
        $this->pid = $pid;
    }

    /**
     * @return mixed
     */
    public function getRangeList()
    {
        return $this->range_list;
    }

    /**
     * @param mixed $range_list
     */
    public function setRangeList($range_list)
    {
        $this->range_list = $range_list;
    }
}